/*
  template : gally
  js for theCategoryPage
*/

var thetoolbar;
var thetoolbarcontainer;
var toolbarTop;
var theprevthumb;
var thenextthumb;
var theimageinfos;
var theimageinfoscontainer;
var thecomments;
var thecommentlist;
var thecommentstitle;
var imagemeta;
var imagemetadisplay;
var theheader;
var theimage;

var comments_hidden="18px";  //height when comment panel is minimized
var comments_visible="250px";//height when comment panel is maximized
var imagemeta_height="20px"; //height when metadata panel is minimized



function inittoolbar()
{
  theheader = document.getElementById('theHeader');
  theimage = document.getElementById('theImage');

  theheaderbar = document.getElementById('imageHeaderBar');
  thetoolbar = document.getElementById('imageToolBar');
  thetoolbarcontainer = document.getElementById('imageToolBarContainer');
  theimageinfos = document.getElementById('imageInfos');
  theimageinfoscontainer = document.getElementById('imageInfosContainer');

  theprevthumb = document.getElementById('navThumbPrev');
  theprevthumbcontainer = document.getElementById('navThumbPrevContainer');
  thenextthumb = document.getElementById('navThumbNext');
  thenextthumbcontainer = document.getElementById('navThumbNextContainer');

  thecommentstitle = document.getElementById('titleComment');
  thecomments = document.getElementById('theComments');
  thecommentlist = document.getElementById('theCommentList');
  if(thecommentlist!=null)
  {
    thecommentlist.style.height = comments_visible.slice(0,-2)-42+"px";
  }
  if(thecommentstitle!=null)
  {
    thecommentstitle.onclick = function () { switchComments(''); }
  }

  imagemeta = document.getElementById('imageMeta');
  if(imagemeta!=null)
  {
    imagemetadisplay = document.getElementById('displaymeta');
    imagemetadisplay.onmouseover = function () { switchMeta('y'); }
    imagemetadisplay.onmouseout = function () { switchMeta('n'); }
  }
  theimageinfos.onmouseover = function () { switchInterface('y'); }
  theimageinfos.onmouseout = function () { switchInterface('n'); }

  theheaderbar.onmouseover = function () { switchInterface('y'); }
  thetoolbar.onmouseover = function () { switchInterface('y'); }
  thetoolbar.onmouseout = function () { switchInterface('n'); }

  if(theprevthumb!=null)
  {
    theprevthumb.onmouseover = function () { switchInterface('y'); }
    theprevthumb.onmouseout = function () { switchInterface('n'); }
    /*theprevthumb.style.top = (theprevthumbcontainer.offsetTop+thetoolbar.offsetTop + thetoolbar.offsetHeight)+'px';*/
    theprevthumb.style.top=theprevthumb.offsetTop+theheader.offsetHeight+"px";
  }

  if(thenextthumb!=null)
  {
    thenextthumb.onmouseover = function () { switchInterface('y'); }
    thenextthumb.onmouseout = function () { switchInterface('n'); }
    /*thenextthumb.style.top = (thenextthumbcontainer.offsetTop+thetoolbar.offsetTop + thetoolbar.offsetHeight)+'px';*/
  thenextthumb.style.top=thenextthumb.offsetTop+theheader.offsetHeight+"px";
  }

  theimage.style.top=theimage.offsetTop+theheader.offsetHeight+"px";
  theimageinfos.style.top=theimageinfos.offsetTop+theheader.offsetHeight+"px";

  thetoolbar.style.top=thetoolbar.offsetTop+theheader.offsetHeight+"px";


  switchInterface('n');
  switchComments('n');
}

function switchInterface(show)
{
  if(show=='y')
  {
    thetoolbarcontainer.style.visibility = 'visible';
    theimageinfoscontainer.style.visibility = 'visible';
    if(theprevthumbcontainer!=null)
    {
      theprevthumbcontainer.style.visibility = 'visible';
    }
    if(thenextthumbcontainer!=null)
    {
      thenextthumbcontainer.style.visibility = 'visible';
    }
  }
  else
  {
    thetoolbarcontainer.style.visibility = 'hidden';
    theimageinfoscontainer.style.visibility = 'hidden';
    if(theprevthumbcontainer!=null)
    {
      theprevthumbcontainer.style.visibility = 'hidden';
    }
    if(thenextthumbcontainer!=null)
    {
      thenextthumbcontainer.style.visibility = 'hidden';
    }
  }
}

function switchComments(show)
{
  if(thecomments!=null)
  {
    if(show!='')
    {
      showcomment=show;
    }
    else
    {
      if(thecomments.style.height == comments_visible)
      {
        showcomment='n';
      }
      else
      {
        showcomment='y';
      }
    }

    if(showcomment=='y')
    {
      thecomments.style.height = comments_visible;
    }
    else
    {
      thecomments.style.height = comments_hidden;
    }
  }
}

function switchMeta(show)
{
  if(imagemeta!=null)
  {
    if(show=='y')
    {
      imagemeta.style.height = 'auto';
    }
    else
    {
      imagemeta.style.height = imagemeta_height;
    }
  }
}



window.onload = function () {
  inittoolbar();
}
